%define upstream_name    Git-DescribeVersion
%define upstream_version 1.014

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Use git-describe to show a repo's version
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Test::MockObject) >= 1.90.0
BuildRequires: perl(Test::MockObject::Extends) >= 1.90.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.820.0
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README examples
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Tue Nov 08 2011 jquelin <jquelin> 1.14.0-1.mga2
+ Revision: 165444
- remove MYMETA from %%doc
- update to 1.014

* Thu Nov 03 2011 jquelin <jquelin> 1.13.0-1.mga2
+ Revision: 162213
- update to 1.013
- update to 1.003

* Mon Mar 14 2011 jquelin <jquelin> 1.1.11-1.mga1
+ Revision: 71151
- imported package perl-Git-DescribeVersion


* Mon Mar 14 2011 cpan2dist 1.001011-1mga
- initial mageia release, generated with cpan2dist
